/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+                    WARNING:    DO NOT UPDATE OR CHANGE THIS FILE                    +
+     IF YOU WANT MODIFY THESE STYLES PLEASE USE THE OVERRIDE FILE IN YOUR CSS_SITE   +
+     FOLDER, UPDATES TO THESE STYLES DELETED UPON NEXT TEMPLATE UPGRADE              +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
@media print {
    /* Hide everything by default */
    body.print-me #header, body.print-me #header *,
    body.print-me *.empty,
    body.print-me #main-content, body.print-me #footer,
    body.print-me .grid-item {
        display: none;
    }

    body.print-me *.empty,
    body.print-me i.fa-up-right-from-square,
    body.print-me *.sr-only,
    body.print-me *.app-reading-list{
        display: none !important;
    }

    body.print-me * {
        page-break-before: avoid !important;
        break-before: avoid !important;
        page-break-before: avoid !important;
        min-height: unset !important;
        text-shadow: none !important;
        box-shadow: none !important;
    }

    /* Show the header content */
    body.print-me #header,
    body.print-me #header .header-data,
    body.print-me #header .header-data .container,
    body.print-me #header .header-data .container .header-top,
    body.print-me #header #website-csuflogo .CSUF-header-logo,
    body.print-me #header #website-csuflogo .CSUF-header-logo a,
    body.print-me #header #website-csuflogo .CSUF-header-logo a .light-mode,
    body.print-me #header #website-csuflogo .CSUF-header-logo a .light-mode *,
    body.print-me #website-info,
    body.print-me #website-name,
    body.print-me #header #website-csuflogo, body #header #website-csuflogo *:not(.dark-mode),
    body.print-me #website-name, body.print-me #website-name *:not(.site-shortname):not(#lowerscrollNavHolder) {
        display: block;
        margin: 0;
        padding: 0;
        border: 0px;
        text-decoration: none !important;
        height: auto;
        width: auto;
    }

        body.print-me #header.lower-scroll #csuf_emblem {
            opacity: 1;
            height: 2rem;
        }

    body.print-me #header,
    body.print-me header, body.print-me header.lower-scroll,
    body.print-me #website-info {
        display: block !important;
        position: relative !important;
        transform: unset !important;
        height: auto !important;
    }

    body.print-me .header-data {
        /*  padding: var(--main-content-padding);*/
    }

    body.print-me .header-top {
        display: grid;
        align-content: center;
        gap: .25rem;
    }

    /* Show only the target section and its children */
    body #main-content,
    body.print-me #main-content .app-data.print-me,
    body.print-me #main-content .app-data.print-me * {
        display: grid;
        font-size: var(--font-size);
        padding: 0 .15rem !important;
        text-shadow: none !important;
        box-shadow: none !important;
    }

        body #main-content .grid-item p,
        body.print-me #main-content .app-data.print-me p {
            display: block;
        }

        body.print-me #main-content .app-data.print-me p[class*='notice'] {
            padding: .8rem !important;
            padding-left: 4rem !important;
        }

    body.print-me #main-content .the-app-data.print-me {
        flex-direction: column;
    }

    body.print-me #main-content .app-data.print-me {
        border: 0px !important;
        border-bottom: solid 3px var(--border-gray) !important;
        margin-bottom: 1rem !important;
        padding: 1rem .8rem !important;
    }

    body #main-content .grid-container, body #main-content .grid-content {
        display: block;
        margin: 0;
        padding: 0 !important;
        width: 100%;
        max-width: unset;
    }

    body.print-me #main-content .app-data.print-me .block-main-title,
    body.print-me #main-content .app-data.print-me .accordion-title:first-child {
        display: block;
        font-size: var(--font-size-large);
        padding: .2rem 0 !important;
    }

    body.print-me #main-content .app-data.print-me .app-data-set-name {
        display: block;
        font-size: var(--font-size-reduced);
        padding: .2rem 0 !important;
        margin: .8rem 0 !important;
    }

    body.print-me #main-content .app-data.print-me .last-updated-date, body.print-me #main-content .app-data.print-me .last-updated-date * {
        display: block;
        font-size: var(--font-size-small) !important;
        padding: .2rem 0 !important;
        line-height: normal;
    }

    body.print-me #main-content .app-data.print-me .app-data-set-name:before {
        display: none;
    }

    body.print-me #header,
    body.print-me #main-content,
    body.print-me .app-data.print-me {
        position: relative;
        width: 100%;
        margin: 0 .15rem;
        padding: 0 .15rem;
        border: 0;
    }

    body.print-me #header {
        display: block !important;
        position: relative !important;
        transform: none !important;
        border: none;
        padding: 1rem;
        height: auto;
        min-height: unset;
        max-height: unset;
        border-bottom: solid 2px var(--primary);
    }

        body.print-me #header #website-csuflogo .CSUF-header-logo a .light-mode img {
            height: 1.25rem;
            max-height: 1.25rem;
            width: auto;
            margin: 0;
            padding: 0;
            margin-bottom: .5rem;
        }

    body.print-me #website-name *:not(.site-shortname):not(#lowerscrollNavHolder) {
        font-size: var(--font-size-large);
    }

    /* Position it at the top of the page */
    body.print-me #header #website-csuflogo *,
    body.print-me #website-name *,
    body.print-me .app-data.print-me * {
        position: relative;
        width: auto;
        height: auto;
    }

    body.print-me .header.lower-scroll #website-info {
        padding-left: 0px;
    }

    body.print-me #main-content .grid-row.print-me .grid-backgrounds,
    body.print-me #main-content .grid-item:not(.print-me),
    body.print-me #main-content .grid-item .print-options,
    body.print-me #main-content .grid-item.print-me .app-data:not(.print-me),
    body.print-me #main-content .grid-item.print-me .app-data.print-me button.app-title {
        display: none !important;
    }

    body.print-me #main-content,
    body.print-me #main-content > .container,
    body.print-me #main-content #main-content-shell,
    body.print-me #main-content #page-content,
    body.print-me #main-content #page-content > .container,
    body.print-me #main-content #page-content div[id*='box'].print-me .MaxGutter,
    body.print-me #main-content #page-content div[id*='box'].print-me .grid-row.print-me .grid-container,
    body.print-me #main-content #page-content div[id*='box'].print-me .grid-row.print-me .grid-container .grid-content,
    body.print-me #main-content #page-content div[id*='box'].print-me .grid-row.print-me .grid-container .grid-content .grid-item.print-me,
    body.print-me #main-content *.print-me {
        display: contents;
        box-shadow: none;
        padding: 0 !important;
    }

        body.print-me #main-content #page-content{
            padding: 1rem !important;
        }

        body.print-me #main-content *.print-me details, 
        body.print-me #main-content *.print-me details * {
            border: 0px;
            padding: .2rem 0 !important;
            margin: .25rem 0;
            min-height: 0;
            font-size: var(--font-size);
        }

            body.print-me #main-content *.print-me details summary, 
            body.print-me #main-content *.print-me details summary * {
                border: 0px;
                padding: .2rem 0 !important;
                margin: .25rem 0;
                min-height: 0;
                font-size: var(--font-size-large);
                background-color: var(--my-white) !important;
                color: var(--my-white-text) !important;
            }

        body.print-me #main-content *.print-me details {
            padding: .25rem .625rem;
        }
        /*-- turning off the accordions --*/
        body.print-me #main-content *.print-me .accordion-right-icon,
        body.print-me #main-content *.print-me .tabbed-content-buttons-section {
            display: none;
        }

        /*--- tables formatting ---*/

        body.print-me #main-content *.print-me table,
        body.print-me #main-content .app-data.print-me table,
        body.print-me #main-content .app-data.print-me.table-by-2 table {
            width: auto;
            padding: 1%;
            margin: 1%;
            table-layout: fixed !important;
            border-collapse: collapse;
            box-sizing: border-box;
            display: table;
        }

            body.print-me #main-content *.print-me table caption,
            body.print-me #main-content .app-data.print-me table caption {
                width: 100%;
                display: table-caption;
                padding: .6rem .9rem !important;
                text-align: center;
                box-sizing: border-box;
            }

            body.print-me #main-content *.print-me table thead,
            body.print-me #main-content *.print-me table tbody,
            body.print-me #main-content *.print-me table tfoot,
            body.print-me #main-content *.print-me table tr {
                width: 100%;
                box-sizing: border-box;
            }

            body.print-me #main-content *.print-me table tbody{
                display:contents !important;
            }

            body.print-me #main-content *.print-me table tr {
                page-break-inside: avoid !important;
                page-break-after: auto;
                display: table-row !important;
            }

            body.print-me #main-content *.print-me table thead {
                display: table-header-group !important;
            }

            body.print-me #main-content *.print-me table tfoot {
                display: table-footer-group !important;
            }

            body.print-me #main-content *.print-me table th,
            body.print-me #main-content *.print-me table td,
            body.print-me #main-content .app-data.print-me table th,
            body.print-me #main-content .app-data.print-me table td {
                padding: .6rem .9rem !important;
                border: solid 1px var(--border-gray) !important;
                text-align: left;
                vertical-align: top;
                display: table-cell !important;
                word-wrap: break-word;
                overflow-wrap: break-word;
                box-sizing: border-box;
            }

            body.print-me #main-content *.print-me table th,
            body.print-me #main-content .app-data.print-me table th {
                background-color: #002F5F !important;
                color: #FFFFFF !important;
            }

            /*--- WHOLE PAGE OVERRIDES ---*/

            body.print-me #main-content .app-data.print-me[style="display:none"]{
                display: block !important;
            }
    /*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+              END OF STANDARD STYLES YOU ARE                                         +
+     USE THE MY STYLE OVERRIDE CSS FILE TO ADJUST STYLES AS NEEDED                   +
+     PLEASE MAINTAIN YOUR SITE NAVIGATION SECTION IN THE MY NAVIGATION CSS FILE      +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
